Bug 447703 - Server Message: "Critical [20]: Invalid Token"
Server Message: "Critical [20]: Invalid Token"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 05:21 EDT by Eric Springer
Modified: 2009-06-22 14:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 14:56:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A transcript of the Terminal session (5.27 KB, text/plain)
2008-05-21 05:21 EDT, Eric Springer
no flags Details
Smolt output in terminal (6.87 KB, text/plain)
2008-11-01 12:28 EDT, Mathieu Bridon
no flags Details

  None (edit)
Description Eric Springer 2008-05-21 05:21:46 EDT
Description of problem:

When attempting to "smoltSendProfile", I get:
Server Message: "Critical [20]: Invalid Token"



How reproducible:

Most likely is hardware dependant.
Comment 1 Eric Springer 2008-05-21 05:21:46 EDT
Created attachment 306225 [details]
A transcript of the Terminal session
Comment 2 Mathieu Bridon 2008-11-01 12:27:42 EDT
I'm having the exact same error on Fedora 10 Snap3.

Moving this bug to "rawhide" and attaching my smolt output.
Comment 3 Mathieu Bridon 2008-11-01 12:28:56 EDT
Created attachment 322177 [details]
Smolt output in terminal
Comment 4 Mike McGrath 2008-11-01 12:39:15 EDT
These are typically about taking too long to submit.  There's two fixes to this I'll try to get them both implemented soon.  In the meantime try again and it should work.
Comment 5 Mathieu Bridon 2008-11-01 13:00:33 EDT
True, after a few attempts, it finally worked.

However, I think (but I really have no clue) it might be related to another bug I opened, bug 469501.

If that is somewhat related, I'd love to test your fixes in F10 Preview :D
Comment 6 Mike McGrath 2008-11-01 16:34:54 EDT
This is actually a server side issue.  There's a time based encryption token and there's a couple of ways it can go bad.
Comment 7 Bug Zapper 2008-11-25 21:18:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Mathieu Bridon 2009-05-01 12:03:48 EDT
I tried it again in current Rawhide, and it doesn't seem to be a problem anymore.

Mike, did you implement the 2 fixes you talked about in comment #4 ?

If so, maybe this bug report could be closed...
Comment 9 Mike McGrath 2009-06-22 14:56:37 EDT
This should be fixed now, also if it does happen again a better error message will come up.

Note You need to log in before you can comment on or make changes to this bug.